> For the complete documentation index, see [llms.txt](https://docs.parallels.com/landing/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.parallels.com/landing/ras-best-practices-guide/v20/active-directory-and-infrastructure-services-considerations.md).

# Active Directory and Infrastructure Services Considerations

Parallels RAS can be installed in both Workgroup and Active Directory (AD) environments where end users, RAS servers, and RDS servers belong to the same AD forest (domains with single root domain) or multiple forests with trust relationships. Domains and workgroups represent different methods for organizing computers in networks. The main difference among them is how the computers and other resources on the networks are managed. For better manageability and scalability, following Microsoft recommendations, Parallels recommends the use of domains where:

* One or more computers are servers. Network administrators use servers to control security and permissions for all computers in the domain. This makes it easy to make changes because they are automatically made to all computers. Domain users must provide a password or other credentials each time they access the domain.
* If you have a user account on the domain, you can log in to any computer in the domain without needing an account on that computer.
* There can be thousands of computers in a domain.
* The computers can be on different local networks.
* File, folder, and user and group permissions can be assigned.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.parallels.com/landing/ras-best-practices-guide/v20/active-directory-and-infrastructure-services-considerations.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
